Index: /trunk/config/domain_boxes.def
===================================================================
--- /trunk/config/domain_boxes.def	(revision 95)
+++ /trunk/config/domain_boxes.def	(revision 96)
@@ -1,3 +1,3 @@
-*############################################################################
+############################################################################
 #  Vairmer Defaults:     Domain Boxes 
 ############################################################################
@@ -26,4 +26,5 @@
   bering           	   189/197/65/66	      1
   pactN                   220/224/40/90/0/5000              1
+  atlN                   350/354/40/90/0/5000              1
   box_s                   343/347/-43/-42              1
   box_s2                   306/309/-43/-42              1
@@ -46,27 +47,16 @@
   nino_1                270/280/-10/-5                1
   nino_2                270/280/-5/0                  1 
-  nino_1+2              270/280/-10/0                 1
-  nino3.4                190/240/-5/5                  1 
-  nino_3A               210/270/-2/2                  1
+  nino_1+2              270/280/-10/0                 1 
   nino_3                210/270/-5/5                  1
-  nino_3B               210/270/-10/10                  1
-  nino_3C               210/270/-20/20                  1
-  nino_4A                160/210.2/-2/2                 1  
-  nino_4                 160/210.2/-5/5                  1
-  nino_4B                160/210.2/-10/10                  1
-  nino_4C                160/210.2/-20/20                  1
-  nino_5A                130/180/-2/2                 1  
-  nino_5                 130/180/-5/5                  1
-  nino_5B                130/180/-10/10                  1
-  nino_5C                130/180/-20/20                  1
-  nino_6                 160/220/-8/-3                  1
-  nino_7                 180/250/3/7                  1    
-  atlantic              260/360/-90/90                 1
+  nino3_10                210/270/-5/5/0/10                  1
+  nino3.4                190/240/-5/5                  1
+  ninoa_3                -150/-90/-5/5                  1
+  nino_4                160/210.4/-5/5                  1
+  wnino_4                160/210/-10/10                  1
+  snino_4                160/210/-10/0                  1
+  atlantic              -50/10/-10/10                 1
   n_atlan               300/380/20/70                 1
   mid_atl       	320/334/-90/90                1
-#  indian                50/100/-10/10                 1
-  indian                90/120/-10/30                 1
-  bengale               85/95/10/18                 1
-  n_indian              50/100/0/30                 1   
+  indian                50/100/-10/10                 1
   planet                20/380/-90/90                  1
   global                20/380/-90/90                  1
@@ -78,42 +68,40 @@
   tropic_Seq             20/380/-2.2/-1.8                 1
   tropic_10N             20/380/9/11                  1
-  tropic_3             20/380/-3/3                  1
-  tropic_2.5           20/380/-2.6/2.4                1
-  tropic_3.5             20/380/-3.5/3                  1
-  tropic_3.4             20/380/-3.4/3                  1 
-  tropic_3_2000        20/380/-3/3/0/2000                  1
-  b_200270_3_2000        200/270/-3/3/0/2000           1
+  tropic_10S             20/380/-11/-9                 1
   tropic_5             20/380/-5/5                  1
-  tropic_10             20/380/-10/10                  1
-  tropic_0-50S             20/380/-50/0                  1
-  tropic_0-50N             20/380/0/50                  1
-  tropic_0-5N              20/380/0/5                 1
-  tropic_5-15S             20/380/-15/-5                1
-  tropic_5-20N             20/380/5/20                1
-  tropic_3-6S             20/380/-6/-3                1   
-  tropic_15             20/380/-15/15                  1  
   tropic_20             20/380/-20/20                  1
   tropic_30             20/380/-30/30                  1
-  latitudes_40             20/380/-40/40                  1
-  latitudes_50             20/380/-50/50                  1
   latitudes_60             20/380/-60/60                  1
   latitudes_65             20/380/-65/65                  1
   latitudes_70             20/380/-70/70                  1
   latitudes_80             20/380/-80/80                  1
+  tropic_-5_20             20/380/-5/20                  1
   middle_60             20/380/20/60                   1
   middle_-60            20/380/-60/-20                 1
   south_-60            20/380/-65/-55                 1
+  high_75               20/380/75/90                   1
+  high_90               20/380/60/90                   1
+  high_-90              20/380/-90/-60                 1
+  pac_eq                120/280/-2/2                  1
   high_50N               20/380/50/90                   1
   high_50S              20/380/-90/-50                 1
-  pac_eq                100/290/-2/2                  1
   pac_eqW                120/150/-2/2                  1
   pac_eqC                150/200/-2/2                  1
-  pac_seq                100/290/-2/2/20/26.8                  1
-  pac_2eq                100/290/-2.1/2.1                  1
-  pac_s5Neq                100/290/4/6/20/26.8                  1
-  pac_s5Seq                100/290/-6/-4/20/26.8                  1
-  pac_Neq                100/290/1.8/2.5                  1
-  pac_Seq                100/290/-2.5/-1.8                  1
-  pac_5                100/290/-5/5                  1
+  pac_seq                120/280/-2/2/20/26.8                  1
+  pac_2eq                120/280/-2.1/2.1                  1
+  pacE_2eq                210/270/-2.1/2.1                  1
+  pacC_2eq                160/210/-2.1/2.1                  1
+  pac_s5Neq                120/280/4/6/20/26.8                  1
+  pac_s5Seq                120/280/-6/-4/20/26.8                  1
+  pac_Neq                120/280/1.8/2.5                  1
+  pac_Seq                120/280/-2.5/-1.8                  1
+  #ac_5                150/270.4/-5/5                  1
+  pac_5                130/280.4/-5/5                  1
+  pac_5-15N                120/280/5/15                  1
+  pac_5-15S                120/280/-15/-5                  1
+  pac_20                120/280/-20/20                  1
+  pac_30                120/280/-30/30                  1
+  pac_40                120/280/-40/40                  1
+  pac_60                120/280/-60/60                  1
   pac_0-20N                120/290/0/20                  1
   pac_0-20S                120/290/-20/0                  1
@@ -121,14 +109,7 @@
   pac_10                100/290/-10/10                  1
   pac_tao                140/260/-10/10                  1
-  pac_20                100/290/-20/20                  1
-  pac_30                100/290/-30/30                  1
-  pac_40                100/290/-40/40                  1
-  pac_50                100/290/-50/50                  1
-  pac_60                100/290/-60/60                  1
   pac_10_30             180/250/10/30                  1
   pac_110W                248/252/-2/2                  1
   pac_170W                188/192/-2/2                  1
-  pac_s270             270/280/-30/0                     1
-  pac_east             260/290/-30/30                    1
   pac_s60                160/300/-60/60/20/28                 1
   pac180_s60                180/182/-60/60/20/28                 1
@@ -136,7 +117,8 @@
   pac180_90_5000                180/182/-90/90/0/5000                1
   indopac_2eq            40/290/-2.1/2.1                  1
-  indopac_20            40/290/-20/20
   indop_tr            20/380/-35/90                  1
   pac_eqg                120/280/-3/3                  1
+  pac_0_30              160/240/0/30                  1
+  pac_north              160/240/30/60                  1
   WNP                     120/170/5/15                  1
   llwbc                     125/135/-3/15                  1
@@ -150,7 +132,4 @@
   wnp_6                     135/150/-6/-3                  1
   wnp_7                     140/160/-2/2                  1
-  wp_0                      140/160/-2/2                  1
-  wp_1                      140/160/-5/5                  1
-  wp_2                      140/160/-20/20                  1
   CSP                     150/200/-15/-5                  1
   pac_w_box                130/170/5/12                  1
@@ -159,4 +138,5 @@
   westu_300                125/135/0/15/0/100            1
   westd_300                125/135/0/15/100/300            1
+  indice_stc                20/380/-20/-15/25/100            1
   130_140E                130/140/-20/20/0/400                  1
   130_160E                130/160/-20/20/0/400                  1
@@ -172,5 +152,9 @@
   west_spac                120/180/-20/20/20/26.8                  1
   cent_spac                170/210/-20/20/20/26.8                  1
-  east_pac                180/280/-2/2                  1
+  east_pac                180/280/-5/5                  1
+  east_pac_15                250/270/-15/15                  1
+  west_pac_20                120/170/-20/20                  1
+  east_pac_30                180/280/-30/30                  1
+  far_east_pac_30                220/280/-30/30                  1
   eastw_pac                165/280/-2/2                  1
   140W_15N               220/222/14/16                  1
@@ -189,8 +173,4 @@
   eq_150W_100               210/212/0/0/0/100                 1
   eq_150W_150               210/212/0/0/0/150                 1
-  eq_3N                  20/380/-0.1/3.0                  1
-  eq_3Nb                 20/380/-0.6/2.7                  1 
-  eq_3S                  20/380/-3.0/0.1                  1
-  eq_3Sb                 20/380/-3.0/0.6                  1 
   ind_neq              90/92/-2/-1                1
   ind_neq_150              90/92/-2/-1/0/150               1
@@ -202,18 +182,25 @@
   pac_0-5N              120/290/0/5                1
   pac_5-10N              120/290/5/10                1
-  pac_15-22N              150/250/15/22                1
-  pac_15S-15N              120/290/-15/15                1
+  pac_5-15N              120/290/5/15                1
+  pac_15S-15N              150/280/-15/15                1
+  pac400_15S-15N              140/290/-15/15/0/400                1
+  pac_5S-5N              150/280/-5/5                1
+  pacE_15S-15N              150/260/-15/15                1
+  pacW_15S-15N              140/280/-15/15                1
   pac_trop              120/290/-20/20                1
-  pac_trop1             120/290/-10/10                1
+  pac_trop10             120/290/-10/10                1
   pac_trop3             120/290/-30/30                1
   pac_tropW3             120/170/-30/30                1
   pac_tropW3_200             120/170/-30/30/0/200                1
+  pac_tropC2             180/220/-20/20                1
   pac_tropC3             180/220/-30/30                1
   pac_tropC3_200             180/220/-30/30/0/200               1
   pac_tropCSb             170/220/-15/-5                1
-  pac_tropE3             200/290/-30/30                1
+  pac_tropE3             210/270/-30/30                1
+  pac_tropE2             210/270/-20/20                1
   pac_tropWC             120/230/-30/30                1
   pac_tropEC             230/290/-30/30                1
   pac_trop_160             120/290/-30/30/155/165                1
+  pac_trop_300             120/290/-30/30/0/300                1
   pac_trop4              120/290/-40/40                1
   atl_eq                -50/10/-2/2                   1
@@ -241,14 +228,10 @@
   warm_pool            130/170/-20/20                 1
 #
-  pac_eq_10            100/290/-2/2/0/10                  1
-  pac_eq100            100/290/-2/2/0/100                  1
-  n4_100               180/220/-2/2/0/100                  1
-  pac_eq200            100/290/-2/2/0/200                  1
-  pac_eq300            100/290/-2/2/0/300                  1
-  pac_eq400            100/290/-2/2/0/400                  1
-  pac_eq600            100/290/-2/2/0/600                  1
-  pac_eq2000           100/290/-2/2/0/2000                  1
-  pac_eq-160           100/290/-2/2/155/165                  1
-  equa_pac400          100/290/-1/1/0/400                      1
+  pac_eq_10            120/280/-2/2/0/10                  1
+  pac_eq200            120/280/-2/2/0/200                  1
+  pac_eq400            120/280/-2/2/0/400                  1
+  pac_eq600            120/280/-2/2/0/600                  1
+  pac_eq-160           120/280/-2/2/155/165                  1
+  equa_pac400          120/280/-1/1/0/400                      1
   equator400           20/380/-1/1/0/400                  1
   n3_200               210/270/-5/5/0/200             1
@@ -270,6 +253,7 @@
 #
   ocean_box            20/380/-90/90/0/5250            1
-  ocean80_box          20/380/-80/90/0/5250            1
-  atlanN_box           20/380/0/90/0/5250              1
+  ocean_surface          20/380/-90/90/0/10            1
+  ocean80_box            20/380/-80/90/0/5250            1
+  atlanN_box            20/380/0/90/0/5250            1
   atl_N1               310/350/40/60/0/5250            1
   atl_N2               280/320/20/45/0/5250            1
@@ -281,5 +265,4 @@
   ocean_0_25          20/380/-90/90/0/25             1
   ocean_0_100          20/380/-90/90/0/100             1
-  ocean_0_200          20/380/-90/90/0/200             1
   ocean_0_1000          20/380/-90/90/0/1000             1
   ocean_0_3000          20/380/-90/90/0/3000             1
Index: /trunk/config/fld_glo_iso.def
===================================================================
--- /trunk/config/fld_glo_iso.def	(revision 95)
+++ /trunk/config/fld_glo_iso.def	(revision 96)
@@ -13,24 +13,15 @@
 # Field | DINTX DINTY ISOCN ISOLN ISOSP ISOCP ISOLP  [MULT ADD UNIT]
 #	
- #
- ratiotaux    @sosstsst
- ratiotauy    @ratiotaux
- ratiosflx   @ratiotaux
- rationsflx  @ratiotaux
- sst          @sosstsst	 
- #osstsst     2     2     1     5      26     1      2   1.  -273.15  C
- sosstsst     2     2     1     5      26     1      2 
- #os          2     2     1     5      26     1      2
- tos          2     2     1     5      26     1      2   1.  -273.15  C
- tas          @tos
- #osstgrady   @sosstsst
- sosstgrady   2     2     1     5      26     1      2   1.e5 0. deg/100km
- sosstgradx   2     2     1     5      26     1      2   1.e6 0. deg/1000km
+ #	 
+ sosstsst     2     2     1     5      26     1      2   
+ tos          2     2     1     5      26     1      2     1. -273.15 C
+ sst @sosstsst
+ ztx @sozotaux
  sosaline     2     2     .4     .4     35.2     .4     .4
  sohefldo     2     2     50     50     0     50     50
- sens    2     2     50     50     0     50     50
- flat    2     2     50     50     0     50     50
+ qnet @sohefldo
  sohefldp     2     2     20     50     0     50     50 -0.025 0. C
  sohflxq0     2     2     20     40     0     20     40
+ sonshldo     2     2     20     40     0     20     40
  soshfldo     2     2     40     40     240     20     40 
  sonshldo     2     2     20     40     0     20     40
@@ -61,15 +52,6 @@
  sobarsts     2     2     10     20     0     10     20    
  soicecov     2     2     .1     .2     0.5     .2     .2
- soicecov_f  @soicecov
  sozotaux     2     2     .02    .05     0    .05    .05
- ztx          @sozotaux
-###Pb avec NCEP pour les signes des vents
- uflx         2     2     .02    .05     0    .05    .05   -1.0   0.   N/m2  
- tauxgradx    2     2     .02    .05     0    .05    .05  1.e6 0. Pa/1000km
- tauxgrady    @tauxgradx
- taux_oce     @sozotaux
- tauy_oce     @sometauy
  sometauy     2     2     .02    .02     0    .02    .02
- mty          @sometauy
  sowinmod     2     2     .02     .008     .005     .004  .008 
  sowincur     2     2     .05   .008   .005     .004  .008 1.e6 0. 1.e-6.N/m 
@@ -79,10 +61,4 @@
  sozocrtx     2     2      .1     .2     0     .1     .2
  somecrty     2     2      .05     .1     0     .05     .1
- SOZOCRTX     @vozocrtx
- SOMECRTY     @vomecrty
- SIZOCRTX     @vozocrtx
- SIMECRTY     @vomecrty
- zocrt_oce    @vozocrtx
- mecrt_oce    @vomecrty
  sozocrtg     2     2      .1     .2     0     .1     .2
  somecrtg     2     2      .05     .1     0     .05     .1
@@ -107,5 +83,5 @@
  so28chgt     2     2     50     20     100     20     20
  so20cdep     2     2     10     20     100     20     20
- sohtc300     2     2     2     5     10     20     20 1.e-9 0. GJ/m2
+ sohtc300     2     2     2     5     10     20     20 1.e-9 0. GW
  somxlden     2     2     .5        1    25       .5        1   
  sodenflx     2     2     2     4   0   2     4  1.e6 0. 1.e-6_kg/m2/s  
@@ -120,5 +96,5 @@
  somodtau     2     2     .02     .04     .1     .02     .04 
  sorottau     2     2     .05     .1     0.     .05     .1 
- sosalflx     2     2     50        100   0     50     100 86400. 0. mm/day
+ sosalflx     2     2     50        100   0     50    100 86400. 0. mm/day
  sosubtot     2     2     50      100    0      50     100   
  sosubhor     2     2     50      100    0      50     100   
@@ -129,5 +105,5 @@
  sobowlin     2     2     1     1      0     1      1  
 # 1.e-15 0. PW        /    1.e-06 0. Giga.g/s
- sozonfht     2     2     1        .5     0     0.25     0.5   1.0  0.0  PW
+ sozonfht     2     2     1        .5     0     0.25     .5   
  sozonfha     2     2     0.25     .5     0     0.25     .5   
  sozonfhd     2     2     0.1      .2     0     0.1      .2   
@@ -161,39 +137,33 @@
  sozdnfso     @sozonfso
  sozdnfsg     @sozonfsg
- # 
- # stats 1
- #
+
  sozotvar     2     2    .0002  .005   .005  .005 .005
  sozotstd     2     2    .005  .05   .05  .05 .05
  sotoxdev     2     2    .005  .05   .05  .05 .05
- toxdev       @sotoxdev
- sotoydev     @sotoxdev
- toydev       @sotoxdev
- tauudev      @sotoxdev
- tauvdev      @sotoxdev
- uflxdev      @sotoxdev
- vflxdev      @sotoxdev
- sosstdev     2     2    .2  .2   .5  .2 .2
- sstdev       @sosstdev 
+ sotoydev     2     2    .005  .05   .05  .05 .05
+ sosstdev     2     2    .2  .2   .5  .2 .2 
+ sstdev @sosstdev
  tempdev      @sosstdev
  tsdev        @sosstdev
- tosdev        @sosstdev
- tasdev        @sosstdev
+ stmpdev      @sosstdev
+ tosdev       @sosstdev
+ tsoldev      @sosstdev
+ tsolocedev      @sosstdev
+ tasdev       @sosstdev
  srftdev      @sosstdev
  airdev       @sosstdev
- tsoldev      @sosstdev
- precipdev    2     2    .2  .2   .5  .2 .2   86400. 0. mm/day
- #opldev      2     2     50     50     0     50     50     
- # 
- # stats 2
- #
- sosstskew     1       1      0.1        0.1      0        0.1       1
- sosstkurt     @sosstskew
- tsskew        @sosstskew
- tasskew       @sosstskew
- tauuskew      @sosstskew
- tauvskew      @sosstskew
- tauxskew      @sosstskew
- tauyskew      @sosstskew
+ tauudev      @sotoxdev
+ toxdev      @sotoxdev
+ tauxdev      @sotoxdev
+ tauvdev      @sotoydev
+ tauydev      @sotoydev
+ uflxdev      @sotoxdev
+ vflxdev      @sotoydev
+ precdev      3     3     1     1     1     1     1  86400. 0. mm/day
+ bilsdev      3     3     10    10    20   10    10
+ sohefdev @bilsdev 
+ cldtdev      3     3     5     5     5     5     5  100. 0. %
+ olrdev       3     3     10    10    50   10    10
+ topldev      @olrdev
 
  sobosver     3     3     10   10     10    10   10
@@ -277,7 +247,8 @@
  so025010     2     2     10     10     0     10     10    
  #
+ thetao       1    10     1      2       20      1       2  1. -273.15 C
  votemper     1    10     1      2       20      1       2 
- #otemper     1    10     1      2       20      1       2     1.  -273.15  C 
  vosaline     1    10     0.2     0.4    35.2    0.2     0.4
+ so    @vosaline
 #
  vodenpot     1    10     0.4      .2    26.4     0.2   .2  1. -1000. sigma 
@@ -294,4 +265,6 @@
  vosigvol     1    10     20      200       500      1     2   1.e-9 0. 1.e09.m3
  #
+ voenergy @vodenpot 
+ #
  zotempeg @votemper
  zotempea @votemper
@@ -301,4 +274,7 @@
  sn @vosaline
  un  1    10     0.1     0.2     0     0.1     0.2		
+ uo @vozocrtx
+ vo @vomecrty
+ wo @vovecrtz
  vn @vomecrty
  #
@@ -346,4 +322,6 @@
  sototasd     2     2     1     2     2    1   2  
  
+
+
  # HADCM3
 
@@ -355,21 +333,12 @@
  e-mp       3     3     2     2     0     2     2  86400. 0. mm/day
  precip       3     3     4     2     0     2     2  86400. 0. mm/day
- #recip       3     3     4     2     0     2     2
- pcp         3     3     4     2     0     2     2 
- evap  3     3     4     2     5     2     2  86400. 0. mm/day
+ pr_ecip       3     3     4     2     0     2     2 
+ evap   3     3     4     2     5     2     2  86400. 0. mm/day
  taux @sozotaux
  tauy @sometauy
- ztauxx_SCi @sozotaux
- ztauxx_SCa @sozotaux
- ztauxx_SCb @sozotaux
- ztauyy_SCi @sozotaux
- ztauyy_SCa @sozotaux
- ztauyy_SCb @sozotaux
- zero1 @sozotaux
- zero2 @sozotaux
- tauxSCi @sozotaux
  olr     3     3    10    20     260    10    20 
  rlut @topl
  rlutcs @topl
+ topl @sulcyftp
  toabud @suradtop
  totcld @aclcov
@@ -380,5 +349,7 @@
  mslp         3     3     2     4    1016     2     4 
  u10m     3     3     2     4     0     2     4
- v10m  @u10m
+ v10m     3     3     2     4     0     2     4
+
+ tas @ts
 
 # PCMDI
@@ -393,8 +364,6 @@
  geosp 
  aps       3     3     5     5    1016     2     4 0.01 0. hPa
-
- ts        2     2     1     1      26     1      1    1.  -273.15  C
- #s        2     2     1     1      26     1      1
-
+ ts        2     2     1     1      26     1      1  
+#1. -273.15 C
  ST_STL1 @ts
  stmp @ts
@@ -411,5 +380,6 @@
  runoff     3     3     0.5     0     0.01     1    2 -86400000. 0. mm/day
  aclcov    3     3    10    20    60    10    20 100. 0. %
- u10   
+ u10 @u10m   
+ msl @slp
  v10   
  temp2 
@@ -425,5 +395,5 @@
  nrads @sohefldo
  srad0  2     2     50     50     0     50     50
- trad0  2     2     10    20     260    10    20   -1. 0. W/m**2
+ trad0  2     2     10    20     260    10    20 -1. 0. W/m**2
  ustr   2     2     .05    .05     0    .05    .05
  vstr   2     2     .02    .02     0    .02    .02
@@ -466,12 +436,23 @@
  q         3     3     .5     1     8     1     1  1000. 0.  10^3.kg/kg
  curltau    @sowincur
-
+ rnof  3     3     2     2     5     2     2  86400000. 0. mm/day
+ q2m         3     3     .5     1     8     1     1  1000. 0.  g/kg
+ oaq2m       3     3     .5     1     8     1     1
+ q2mdev      @q2m
+ oaq2mdev       @oaq2m
+ oaLWsfc   2     2     50     50     0     50     50 -1. 0 Wm-2
+ srnet       @sohefldo
+ 
 # NCEP
- t2m     @sosstsst
-# t2m       2     2     1     1      26     1      1
- air       2     2     1     5      26     1      2   1. -273.15 C
- uflx      2     2     .02    .05     0    .05    .05 -1. 0 N/m2
-
- vflx      2     2     .02    .02     0    .02    .02 -1. 0 N/m2
+
+ nswrs        2     2     40     40     240     20     40  -1.0 0.0 W/m2
+ nshfs      @sonshldo  
+ ntrs       @sohefldo
+
+ T2m @ts
+ air  2     2     1     5      26     1      2   1. -273.15 C
+ uflx 2     2     .02    .05     0    .05    .05 -1. 0 N/m2
+
+ vflx 2     2     .02    .05     0    .05    .05 -1. 0 N/m2 
 
 # Xie Arkin
@@ -485,14 +466,20 @@
 # LMDZ
 
- tsol @ts
- tsolgrady @sosstgrady
- tsolgradx @sosstgradx
-
+ #sol   @ts
+ tsol   @temp
  psol @slp
  rain  3     3     2     2     5     2     2  86400. 0. mm/day
  temp   3     3   1     5     26     5     5  1. -273.15 C
  temp_1 @temp
- cldt  @aclcov   
+ cldt  @aclcov  
+ CA    3     3    10    20    60    10    20 
  bils @sohefldo
+ SWsfc @soshfldo
+ LWsfc @str
+ ssr @soshfldo
+ str  2     2     50     50     0     50     50
+ LWdnSFC @str
+ slhf @sulathsu
+ lat_oce @sulathsu
  sohefatm @sohefldo
  sowatatm @sowaflup
@@ -503,4 +490,9 @@
  vitu  @u
  ovap @q
+ oalh @sulathsu
+
+ crflw @sucrfolw
+ crfsw @sucrfosw 
+ crftot @sucrforc 
 
  ecmwf_142  2 2  2     2     5     2     2  -1. 0. mm/day 
@@ -508,7 +500,8 @@
  ecmwf_181  2 2 .02   2     5     2     2 
 
- #st     2     2     1     1      26     1      1 
- sst     2     2     1     1      26     1      1  4.9406015063353e-5 1.42916365608514e+1
-
+ sst     2     2     1     1      26     1      1 
+
+ w500   2     2     10   10  0 10 10  864 0. hPa/day
+ omeg500   2     2     10   10  0 10 10  864 0. hPa/day
  clalbedo     3     3    .1   .1     0.2    .1    .1
  clvegpro     3     3    .1   .2     .5    .1    .1
@@ -517,10 +510,12 @@
  psol @slp
  sols @srads
- SWdnSFC @srads
- #opl       2     2     50     50     0     50     50   -1. 0. W/m2
- topl       2     2     50     50     0     50     50
- topl0 @topl
+ topl0 @trad0
+
+ taux_oce @sozotaux
+ tauy_oce @sometauy
 
 # Arpege 
+
+ dqdt        3      3     5 10 0 5 10 0.00833333 0. J.m-2/K
 
  coheftot     3     3    20    40     .00001    20    40
@@ -696,7 +691,30 @@
  soellips 1 1 0.1 0.1 .5 0.1 0.1
 
+#
+
+ alpha 1 1 2 2 0 2 2
+ swalph @alpha
+ lwalph @alpha
+ lhalph @alpha
+ alphera @alpha
+ swalpera @alpha
+ lwalpera @alpha
+ lhalpera @alpha
+ alphoa @alpha
+ swalpoa @alpha
+ lwalpoa @alpha
+ lhalpoa @alpha
+
+
 # Correl
 
  correlation   1    1    0.1    0.1    0    0.1   1
+
+ pcorrsst @correlation
+ lhcorrsst @correlation
+ swcorrsst @correlation
+ lwcorrsst @correlation
+ hfcorrsst @correlation
+
  sosstsst_sst_nino_3_cor @correlation
  uflx_sst_nino_3_cor @correlation
@@ -705,6 +723,11 @@
  sometauy_sst_nino_3_cor @correlation
  precip_sst_nino_3_cor @correlation
- pcp_sst_nino_3_cor @correlation 
+ pcp_sst_nino_3_cor @correlation
  topl_sst_nino_3_cor @correlation
+
+ bilsn3corr @correlation 
+ tauxn3corr @correlation 
+ txn3corr @correlation 
+ ufxn3corr 1    1    0.1    0.1    0    0.1   1 -1. 0 -
 
  proba   1    1    0.2    0.1    0.05    0.1   1
@@ -715,4 +738,4 @@
  sometauy_sst_nino_3_prob @proba
  precip_sst_nino_3_prob @proba
- pcp_sst_nino_3_prob @proba 
+ pcp_sst_nino_3_prob @proba
  topl_sst_nino_3_prob @proba
Index: /trunk/config/fld_glo_mmx.def
===================================================================
--- /trunk/config/fld_glo_mmx.def	(revision 95)
+++ /trunk/config/fld_glo_mmx.def	(revision 96)
@@ -18,27 +18,23 @@
 #  SO fields
 #
- ratiotaux   -2        2        -2          2           -2       2      2
- ratiotauy   @ratiotaux
- ratiosflx   @ratiotaux
- rationsflx  @ratiotaux
- sst         @sosstsst
- #osstsst    -2        32       -2          32          15       34     5
- sosstsst    -2        32       23          30          15       34     5
- tos         @sosstsst
- sosstgrady  -2        32       -2          32           5       32     5
- sosstgradx  -2        32       -2          32           5       32     5
- sosaline    30        40       33          38        30          40       3
+ sosstsst    -2        32       22          30          22       32    4
+ ts @sosstsst 
+ tos @sosstsst
+ tsol @sosstsst 
+ sst @sosstsst
+ ztx @sozotaux
+ u1000 @u10m
+ v1000 @v10m
+ sosaline    30      40       33          36        0          80       3
  sowaflup    -40      20       -.5         .5        -5          4     .1
- sozotaux    -.5      .5       -.1          .05        -.2       0.2    .05
- uflx        @sozotaux
- tauxgradx  -.5      .5       -.1          .05        -.2       0.2    .05
- taux_oce    @sozotaux
- tauy_oce    @sometauy
- sometauy    -.5      .5       -.1          .05         -.06     .05    .5
+ sozotaux    -.5      .5       -.17          .02        -.1       0    .05
+ sometauy    -.5      .5       -.06          .03         -.06     .05    .5
  sowafldp    -20      20       -5          5         -6          6
  sosafldp    -150      10       -5          5         -6          6
- sohefldo    -500      500      -10        10        -50      100    50
- sohefldp    -100      100      -10         10        -100      100
- soshfldo    -500      500      -500        500        50      250  50
+ sohefldo    -500      500      -25        25        -40   120         80
+ str         -200       0       -200       0          -80   -10       80
+ sohefldp    -100      100      -10         10        -100         100
+ soshfldo    -400      400        -250         250        150         300 80
+ sonshldo    -1000.     1000.      -300       20.          -300       20.
  sohefldo_f @sohefldo
  soshfldo_f @soshfldo
@@ -65,6 +61,5 @@
  sosubhor     -600      600.     0.       1200.          0        1200.
  sobowlin    1      31       16          22         -5          35
- soicecov     0         1         0.       .5          0        .1     1
- soicecov_f  @soicecov
+ soicecov     0      1      0.       .5          0        .1
  somixhgt     0       500.     0         2000       0     1500
  somxl050     0       500.     0         500       -30     500
@@ -73,5 +68,5 @@
  so28chgt     0       500.     -60 100     0 140    40
  sothedep     0       500.  0       200.  -200. 0  20
- so20cdep     0       1000. 0  500. 0 500. 20
+ so20cdep     0       1000. 0  300. 50 300. 20
  sohtc300     0        50      0    50     0     50    3
  soicehei     .01      99999.      0.       5.          0        5.
@@ -93,28 +88,40 @@
  sorunoff  @sowaflup
  # 
- # stats 1
- #
- sotoxdev      0      0.1     0       .025        0      .1   .04
-#otoxdev      0      0.1     0       1.        0      .1   .04
+ # stats
+ #
+ sotoxdev     0       0.06       0       .06        0       .05   .02
+ sotoydev     2     2    .005  .05   .05  .05 .05
+ sosstdev     0       2       0       2        0       2   .1
+ sstdev @sosstdev
  toxdev   @sotoxdev
  sotoydev @sotoxdev
  toydev   @sotoxdev
- uflxdev  @sotoxdev 
- vflxdev  @sotoxdev
  ztxdev  @sotoxdev
  mtydev  @sotoxdev
  tauudev      @sotoxdev
- tauvdev      @sotoxdev 
-#osstdev     -2       2       -2       2        -2       2     1
- sosstdev     -2       2       0.5       2.5        -2       2     1
- sstdev     @sosstdev
  tempdev    @sosstdev
  tsdev    @sosstdev
  tosdev    @sosstdev
+ tsoldev    @sosstdev
+ tsolocedev    @sosstdev
+ stmpdev    @sosstdev
  tasdev    @sosstdev
  srftdev  @sosstdev
  airdev    @sosstdev
- tsoldev  @sosstdev
- sohefldodev  -150     150      -5     50       0       150     100
+ tauxdev      @sotoxdev
+ tauvdev      @sotoydev
+ tauydev      @sotoydev
+ uflxdev      @sotoxdev
+ vflxdev      @sotoydev
+ bilsdev    0      100      0    100   -20 20
+ sohefdev @bilsdev 
+ olrdev     0      100      0    100   -20 20  
+ topldev      @olrdev
+ q2mdev @sosstdev
+ oaq2mdev @sosstdev
+
+ w500       -100 100 -100 100 -20 20
+ omeg500 @w500
+ sohefldodev  0      100      0    100   -20 20
  sonsfldodev  @sohefldodev
  soshfldodev  @sohefldodev
@@ -124,20 +131,8 @@
  swdev   @sohefldodev
  lwdev   @sohefldodev
- bilsdev @sohefldodev
  precipdev     0      10     0       10      0       10     10
  pcpdev @precipdev
- topldev @sohefldodev
  # 
- # stats 2
- #
- sosstskew     -1       1      -1        1       -1        1       1
- sosstkurt     @sosstskew
- tsskew        @sosstskew
- tasskew       @sosstskew
- tauuskew      @sosstskew
- tauvskew      @sosstskew
- tauxskew      @sosstskew
- tauyskew      @sosstskew
- 	       
+ #
  #  trends
  #
@@ -175,7 +170,7 @@
  #  vo fields
  #
+ votemper     -2       30       3.68         3.71          2    6  3
+ vosaline     30       40       31       34         33     34   1 
  temp    @votemper 
- votemper     -2         30       15       28      -2      30      1
- vosaline     30       40       31       34         33     34   2 
  vodenpot     20       30    20       30    20       30      4
  votkeavt     -5       0.       0       3         34.5     35.5     1000
@@ -194,12 +189,19 @@
  vometray @vozonbsf
  vovetraz @vozonbsf      
- #odenpot     0      30        0       50       0       50         
+ #odenpot     0       30        0       50       0       50         
  vodeptht     0       500       0         500          0    500  10
  vosigthi     0       500       0         500          0    500 5
  vosigvol     0       500       0         500          0    500  10
+  #
+ voenergy   20       30    20       30    20       30      4
+
  tn     -2       30       23         26.5          2        3  
  sn @vosaline
  vn @vomecrty
-
+ thetao @votemper
+ so    @vosaline
+ uo @vozocrtx
+ vo @vomecrty
+ wo @vovecrtz
  zotempeg @votemper
  zotempea @votemper
@@ -227,5 +229,5 @@
  sucrfolw    -500      10000      -80         50        -100          70
  sucrfosw    -500      10000      -80         50        -160          70
- sulathsu    -1000      1000       -80        30      -300       20
+ sulathsu    -1000      1000       -80        30      -300       40       50
  #ulathsu    -1000      1000       -250        -100      -300       20
  susenhsu    -1000      1000       -150        150      -300       20
@@ -244,5 +246,5 @@
  #  sozon fields
  #
- sozonfht    -100      100        -2        2.5       -3       4       5
+ sozonfht    -100      100       -2    2.5  -2    2.5       5
  sozonfha    @sozonfht
  sozonfhd    @sozonfht
@@ -260,5 +262,5 @@
  sozdnfhg    @sozonfht
  sozonfst    -1000      1000      -50        50         -50        50   50
- sozonfsa    @sozonfs
+ sozonfsa    @sozonfst
  sozonfsd    @sozonfst
  sozonfso    @sozonfst
@@ -279,18 +281,20 @@
  tauu @sozotaux
  tauv @sometauy
- tos         @sosstsst
- tas         @sosstsst   
-
- precip       0         50        0         12         0        20     6
- pcp @precip
+
+# HADAM3 variables
+
+ temp  -5 32  -5  32  -5 32 5
+ temp_1 @temp
+ totcld @aclcov
+ field31 @aclcov
+ field33 @aclcov
+ iceconc       @soicecov
+ ucurr         @vozocrtx
+ vcurr         @vomecrty
+ solar         @soshfldo
+ emp           @sowaflup
+ precip    0 50   0  12  -1 15 10
  pr @precip 
  taux @sozotaux
- ztauxx_SCi @sozotaux
- ztauxx_SCa @sozotaux
- ztauxx_SCb @sozotaux
- ztauyy_SCi @sozotaux
- ztauyy_SCa @sozotaux
- ztauyy_SCb @sozotaux
- tauxSCi @sozotaux
  tauy @sometauy
  olr   0 500  235 245  200 300 100
@@ -300,7 +304,14 @@
  field201  0 500   95 105   100 200 30
  mslp       960  1030        960  1030     960  1030
- u10m -20 20 -20 20 -20 20 20
- v10m @u10m
-
+ u10m -20 20 -20 20 -10 0 7
+ v10m -20 20 -20 20 -20 20 20
+ topl @olr
+ msl @slp
+
+ crflw @sucrfolw
+ crfsw @sucrfosw 
+ crftot @sucrforc 
+
+ tas @sosstsst
  crflw    -10      1000    -10      1000    -10      1000    20  
  crfsw    -1000      10  -1000      10   -1000      10    20
@@ -309,5 +320,5 @@
  vas -20 20 -20 20 -20 20 20
 
-# ECHAM variables - BCM
+# ECHAM variables
 #
 # Field  |   min       max       homin     homax      min1d      max1d  dmax
@@ -322,11 +333,11 @@
  q   -10  20
  sst @sosstsst
- ztx @sozotaux
- mty @sometauy
  curltau @sowincur
 
+ q2m 0 10 0 10 0 10 5
+ oaq2m @q2m
+ oaLWsfc @str
  geosp 
  aps      1000  1100
- ts       @sosstsst
  ST_STL1 @ts
  stmp @ts
@@ -339,8 +350,9 @@
  ahfs   
  ahfl   
- slp         980       1030        980     1030        980      1030   10
+ slp       980  1030        980  1030     980  1030 10
  runoff 0   100  0  100 0  100 2
- aclcov    0 100  0 100  0 100 
- u10   
+ aclcov    0 100  0 100  0 100 70
+ CA @aclcov
+ u10 @u10m
  v10   
  dew2  
@@ -353,10 +365,10 @@
  srads  0 400
  nrads  @sohefldo
- trads   -300     0
- srad0   0        300
- trad0   -300     0
+ trads  -300 0
+ srad0   0 300
+ trad0   -300 0
  ustr  @sozotaux
  vstr  @sometauy
- evap       0         50        0         12         0        20     6 
+ evap  -3 40 
  tdcl  
  srafs 0 300
@@ -387,11 +399,10 @@
  tprep    0 30   0  15  0 12  1.7
  e-mp     @sowaflup
-
+ rnof @sorunoff
  ecmwf_142 @tprep
  ecmwf_180 -.5      .5       -.15          .1        -.15          .3
  ecmwf_181 -.5      .5       -.15          .1        -.15          .3
 
-#2m          -40        40       -40        40          -40      40     300
- t2m @sosstsst
+ T2m @sosstsst
  air @sosstsst
  uflx @sozotaux
@@ -401,12 +412,16 @@
  sla    -.5 .5    -.5 .5    -.5 .5   .5
 
+ dqdt  -100 0 -100 0 -100 0 20
+
 # LMDZ variables
 
  bils  @sohefldo
+ SWsfc @soshfldo
+ ssr @soshfldo
+ LWdnSFC @str
+ LWsfc @str
+ slhf @sulathsu
+ lat_oce @sulathsu
  uwf @sowaflup 
- #sol    -2        32       -2          32          15       34     5
- tsol @sosstsst
- tsolgrady @sosstgrady
- tsolgradx @sosstgradx 
  psol @slp
  rain @tprep
@@ -415,10 +430,13 @@
  psol @slp
  sols @srads
- SWdnSFC @srads
- topl    0      500      0      500        0      100      100
- topl0 @topl
+ topl0 @trad0
  cldt  @aclcov
  vitu  @u
  ovap @q
+ qnet @sohefldo
+ srnet       @sohefldo
+
+ taux_oce @sozotaux
+ tauy_oce @sometauy
 
  sohtc300_mean @sohtc300
@@ -462,8 +480,33 @@
  soellips 0 1 0 1 0 1
 
+#NCEP
+
+ swrs    @soshfldo
+ nshfs    @sonshldo   
+ ntrs    @sohefldo
+
+ alpha -20 20 -20 20 -20 20 10
+ swalph @alpha
+ lwalph @alpha
+ lhalph @alpha
+ alphera @alpha
+ swalpera @alpha
+ lwalpera @alpha
+ lhalpera @alpha
+ alphoa @alpha
+ swalpoa @alpha
+ lwalpoa @alpha
+ lhalpoa @alpha
 
 # Correl
 
  correlation   -1    1    -1    1    -1    1   1
+
+ pcorrsst @correlation
+ lhcorrsst @correlation
+ swcorrsst @correlation
+ lwcorrsst @correlation
+ hfcorrsst @correlation
+
  sosstsst_sst_nino_3_cor @correlation
  uflx_sst_nino_3_cor @correlation
@@ -474,4 +517,9 @@
  pcp_sst_nino_3_cor @correlation
  topl_sst_nino_3_cor @correlation
+
+ bilsn3corr @correlation 
+ tauxn3corr @correlation 
+ txn3corr @correlation 
+ ufxn3corr @correlation 
 
  proba     0    1    0    1    0    1   1
Index: /trunk/config/fld_macros.def
===================================================================
--- /trunk/config/fld_macros.def	(revision 95)
+++ /trunk/config/fld_macros.def	(revision 96)
@@ -10,30 +10,86 @@
  soellips =: make_work <Ellipse> [-]
 
-; HADAM
- totprep =  lsrain + lssnow + cvrain + cvsnow   <E-P>    [kg m-2 s-1]
- -e-mp =  evap - lsrain - lssnow - cvrain - cvsnow   <E-P>    [kg m-2 s-1]
- nrads = solar + longwave - sh - 2.501e6 * evap <Net surface heat flux> [W m-2]
- toabud =  field200 - field201 - olr <Net Radiation at TOA> [W m-2]
- totcld = field31 + field32 + field33 <Total Could Amount> [ ]
-
-; ECHAM4
- -e-mp =  - evap - tprep		<E-P>         [m/s]
- e-mp =  - qevap - aprl - aprc - aprs		<E-P>         [m/s]
- emp =  - evap - tprc		<E-P>         [m/s]
- -n-rads = ahfs + ahfl + srads + trads <Net surface heat flux> [W/m**2]
- curltau =: make_curltau <Wind Stress Curl> [N/m]
-
-; OPA
- vozonbsf =: make_msf  <Meridional Stream Function> [Sv]
- vodenpot =: make_eos <Potential Density> [kg/m3]
- vocrtmod =: make_crtm  <Current Module> [m/s]
-
- vodeptht  =: make_depth <Depth> [m]
- vosigthi  =: make_depth <Sigma Thickness> [m]
- vosigvol  =: make_depth <Sigma Volume> [m3]
-
- vozotrax =: make_xtran <Zonal Transport> [Sv]
- vometray =: make_ytran <Meridional Transport> [Sv]
- vovetraz =: make_ztran <Vertical Transport> [Sv]
+; General macros & stats
+
+; Linear fit
+
+ alpha =: make_linfit <Total HF - SST linear fit> [W.m-2.C-1] \bils, tsol/ 
+ swalph =: make_linfit <SW - SST linear fit> [W.m-2.C-1] \SWsfc, tsol/ 
+ lwalph =: make_linfit <LW - SST linear fit> [W.m-2.C-1] \LWsfc, tsol/ 
+ lhalph =: make_linfit <Latent HF - SST linear fit> [W.m-2.C-1] \lat_oce, tsol/ 
+ alphera =: make_linfit <Total HF - SST linear fit> [W.m-2.C-1] \bils, ts/ 
+ swalpera =: make_linfit <SW - SST linear fit> [W.m-2.C-1] \ssr, ts/ 
+ lwalpera =: make_linfit <LW - SST linear fit> [W.m-2.C-1] \str, ts/ 
+ lhalpera =: make_linfit <Latent HF - SST linear fit> [W.m-2.C-1] \slhf, ts/ 
+ alphoa =: make_linfit <Total HF - SST linear fit> [W.m-2.C-1] \qnet, sosstsst/ 
+ swalpoa =: make_linfit <SW - SST linear fit> [W.m-2.C-1] \SWsfc, sosstsst/ 
+ lwalpoa =: make_linfit <LW - SST linear fit> [W.m-2.C-1] \oaLWsfc, sosstsst/ 
+ lhalpoa =: make_linfit <Latent HF - SST linear fit> [W.m-2.C-1] \slhf, sosstsst/ 
+
+; Correlations
+
+ tauxn3corr  =: make_correldomain <Taux-nino3 SST correl.> [ ] \taux_oce, nino3_sst/
+ txn3corr  =: make_correldomain <Taux-nino3 SST correl.> [ ] \taux, nino3_sst/
+ ufxn3corr  =: make_correldomain <Taux-nino3 SST correl.> [ ] \uflx, nino3_sst/
+ bilsn3corr  =: make_correldomain <Heat flux-nino3 SST correl.> [ ] \bils, nino3_sst/
+ pcorrsst  =: make_correlation <Precipitation-SST correlation> [ ] \precip, tsol/
+ lhcorrsst  =: make_correlation <Latent HF-SST correlation> [ ] \lat_oce, tsol/
+ swcorrsst  =: make_correlation <SW-SST correlation> [ ] \SWsfc, tsol/
+ lwcorrsst  =: make_correlation <LW-SST correlation> [ ] \LWsfc, tsol/
+ hfcorrsst  =: make_correlation <Total HF-SST correlation> [ ] \bils, tsol/
+
+; Standard deviations
+; for stats, add a \field/ = base field to work on
+
+ sosstdev =: make_stddev <SST Std Dev> [C] \sosstsst/
+ sstdev   =: make_stddev <SST Std Dev> [C] \sst/
+ votdev =: make_stddev <Votemper Std Dev> [C] \votemper/
+ tempdev =: make_stddev <SST Std Dev> [C] \temp/
+ tosdev   =: make_stddev <SST Std Dev> [C] \tos/
+ tasdev =: make_stddev <TAS Std Dev> [C] \tas/
+ sotoxdev =: make_stddev <Taux Std Dev> [Nm-2] \sozotaux/
+ sotoydev =: make_stddev <Tauy Std Dev> [Nm-2] \sometauy/
+ tempdev  =: make_stddev <SST Std Dev> [C] \temp/
+ tsdev    =: make_stddev <Surface Temp. Std Dev> [C] \ts/
+ tadev =: make_stddev <TA Std Dev> [C] \ta/
+ stmpdev  =: make_stddev <Surface Temp. Std Dev> [C] \stmp/
+ tsoldev  =: make_stddev <Surface Temp. Std Dev> [C] \tsol/
+ tsolocedev  =: make_stddev <Surface Temp. Std Dev> [C] \tsol_oce/
+ tasdev   =: make_stddev <TAS Std Dev> [C] \tas/
+ tauudev  =: make_stddev <Taux Std Dev> [Pa] \tauu/
+ toxdev  =: make_stddev <Taux Std Dev> [Pa] \taux/
+ toydev =:  make_stddev <Tauy Atm Std Dev> [Nm-2] \tauy/
+ tauxdev  =: make_stddev <Taux Std Dev> [Pa] \taux_oce/
+ tauvdev  =: make_stddev <Tauy Std Dev> [Pa] \tauv/
+ tauydev  =: make_stddev <Tauy Std Dev> [Pa] \tauy_oce/
+ srftdev  =: make_stddev <Surf. Temp. Std Dev.> [K] \srft/
+ airdev   =: make_stddev <Air Temp Std Dev> [C] \air/
+ uflxdev  =: make_stddev <Taux Std Dev> [Nm-2] \uflx/
+ vflxdev  =: make_stddev <Tauy Std Dev> [Nm-2] \vflx/
+ precdev  =: make_stddev <Precip. Std Dev> [mm.day-1] \precip/
+ bilsdev  =: make_stddev <SFC Heat Flux Std Dev> [Wm-2] \bils/
+ sohefdev  =: make_stddev <SFC Heat Flux Std Dev> [Wm-2] \sohefldo/
+ cldtdev  =: make_stddev <Mean Cloud Std Dev> [%] \cldt/
+ olrdev   =: make_stddev <OLR Std Dev> [Wm-2] \olr/
+ topldev  =: make_stddev <OLR Std Dev> [Wm-2] \topl/
+ cfrlwdev =: make_stddev <LW CRF Std Dev> [Wm-2] \crflw/
+ cfrswdev =: make_stddev <SW CRF Std Dev> [Wm-2] \crfsw/
+ cfrtotdev =: make_stddev <Total CRF Std Dev> [Wm-2] \crftot/
+ q2mdev   =: make_stddev <Q2m Std Dev> [kg.kg-1] \q2m/
+ oaq2mdev  =: make_stddev <Q2m Std Dev> [g.kg-1] \oaq2m/
+ wostd    =: make_stddev <Vertical velocity stddev> [m.day-1] \wo/
+ ztxdev =: make_stddev <Taux Oce Std Dev> [Nm-2] \ztx/
+ mtydev =: make_stddev <Tauy Oce Std Dev> [Nm-2] \mty/
+ nshfsdev =: make_stddev <Net Down Non Solar Heat Flx Std Dev> [Wm-2] \nshfs/
+ shfsdev =: make_stddev <Net Down Solar Heat Flx Std Dev> [Wm-2] \shfs/
+ swdev =: make_stddev <SW net SFC Std Dev> [Wm-2] \SWsfc/
+ lwdev =: make_stddev <LW net SFC Std Dev> [Wm-2] \LWsfc/
+ thfsdev =: make_stddev <Net Down Total Heat Flx Std Dev> [Wm-2] \thfs/
+ sohefldodev =: make_stddev <Net Downwd Heat Flx Std Dev> [Wm-2] \sohefldo/
+ sonsfldodev =: make_stddev <Non Solar Heat Flx Std Dev> [Wm-2] \sonsfldo/
+ soshfldodev =: make_stddev <Solar Heat Flx Std Dev> [Wm-2] \soshfldo/
+ precipdev =: make_stddev <Precip Std Dev> [mm(day-1)] \precip/
+ pcpdev =: make_stddev <Precipitations Std Dev> [mm(day-1)] \pcp/ 
+ topldev =: make_stddev <OLR Std Dev> [Wm-2] \topl/
 
  tsA =: make_anomaly < Skin temperature anomaly > [Kelvin] \ts/
@@ -63,4 +119,6 @@
  sonsfoce-f-m =: make_interp <Interp> [Wm-2] \sohefldo_f, 1.0, soshfldo_f, -1.0, sonsfoce_m, -1.0/
  soshfoce-f-m =: make_interp <Interp> [Wm-2] \soshfldo_f, 1.0, soshfoce_m, -1.0/
+ 
+ new_var := make_interp <...> [units] \var1, coef1, var2, coef2/
 
 ; CDH4 HEAT FLUX
@@ -79,42 +137,4 @@
  thf# =   nswrs + nlwrs + lhtfl + shtfl  <Net Down Total Heat Flux at Surf>  [W/m2]
 
-; for stats, add a \field/ = base field to work on
-
-; Deviation Standard
- sstdev =: make_stddev <SST Std Dev> [C] \sst/
- sosstdev =: make_stddev <SST Std Dev> [C] \sosstsst/
- votdev =: make_stddev <Votemper Std Dev> [C] \votemper/
- tsoldev =: make_stddev <TSOL Std Dev> [C] \tsol/
- airdev =: make_stddev <Air Temp Std Dev> [C] \air/ 
- sotoxdev =: make_stddev <TAUX Oce Std Dev> [Nm-2] \sozotaux/
- toxdev =: make_stddev <TAUX Atm Std Dev> [Nm-2] \taux_oce/
- ztxdev =: make_stddev <TAUX Oce Std Dev> [Nm-2] \ztx/
- sotoydev =: make_stddev <TAUY Oce Std Dev> [Nm-2] \sometauy/
- toydev =:  make_stddev <TAUY Atm Std Dev> [Nm-2] \tauy_oce/
- mtydev =: make_stddev <TAUY Oce Std Dev> [Nm-2] \mty/
- tempdev =: make_stddev <SST Std Dev> [C] \temp/
- tsdev =: make_stddev <SST Std Dev> [C] \ts/
- tosdev =: make_stddev <SST Std Dev> [C] \tos/
- tasdev =: make_stddev <TAS Std Dev> [C] \tas/
- tadev =: make_stddev <TA Std Dev> [C] \ta/
- tauudev =: make_stddev <TAUX Std Dev> [Pa] \tauu/
- tauvdev =: make_stddev <TAUY Std Dev> [Pa] \tauv/
- srftdev =: make_stddev <Surf. Temp. Std Deviation> [K] \srft/
- airdev =: make_stddev <Air Temp Std Dev> [C] \air/
- uflxdev =: make_stddev <Taux Std Dev> [Nm-2] \uflx/
- vflxdev =: make_stddev <Tauy Std Dev> [Nm-2] \vflx/
- nshfsdev =: make_stddev <Net Down Non Solar Heat Flx Std Dev> [Wm-2] \nshfs/
- shfsdev =: make_stddev <Net Down Solar Heat Flx Std Dev> [Wm-2] \shfs/
- swdev =: make_stddev <SW net SFC Std Dev> [Wm-2] \SWsfc/
- lwdev =: make_stddev <LW net SFC Std Dev> [Wm-2] \LWsfc/
- bilsdev =: make_stddev <Surf Total Heat Flx Std Dev> [Wm-2] \bils/
- thfsdev =: make_stddev <Net Down Total Heat Flx Std Dev> [Wm-2] \thfs/
- sohefldodev =: make_stddev <Net Downwd Heat Flx Std Dev> [Wm-2] \sohefldo/
- sonsfldodev =: make_stddev <Non Solar Heat Flx Std Dev> [Wm-2] \sonsfldo/
- soshfldodev =: make_stddev <Solar Heat Flx Std Dev> [Wm-2] \soshfldo/
- precipdev =: make_stddev <Precip Std Dev> [mm(day-1)] \precip/
- pcpdev =: make_stddev <Precipitations Std Dev> [mm(day-1)] \pcp/ 
- topldev =: make_stddev <OLR Std Dev> [Wm-2] \topl/
-
 ; Kurtosis et Skewness
  sosstskew  =: make_skewness <SST Skewness> [C] \sosstsst/
@@ -129,8 +149,23 @@
 ; Ocean
 
+; OPA
+ vozonbsf =: make_msf2  <Meridional Stream Function> [Sv]
+ vodenpot =: make_eos <Potential Density> [kg/m3]
+ vocrtmod =: make_crtm  <Current Module> [m/s]
+
+ voenergy =: make_energetics <field> [unit]
+
+ vodeptht  =: make_depth <Depth> [m]
+ vosigthi  =: make_depth <Sigma Thickness> [m]
+ vosigvol  =: make_depth <Sigma Volume> [m3]
+
+ vozotrax =: make_xtran <Zonal Transport> [Sv]
+ vometray =: make_ytran <Meridional Transport> [Sv]
+ vovetraz =: make_ztran <Vertical Transport> [Sv]
+
  sowincur =: make_wcurl  <Wind Stress Curl> [N/m]
  sowindiv =: make_wdiv  <Wind Stress Divergence> [N/m]
  sowinmod =: make_wm  <Wind Stress Module> [N/m2]
- so20cdep =: make_20C  <Depth of 20C Isotherm> [m]
+ so20cdep =: make_thdepth  <Depth of 20C Isotherm> [m]
  sobarstf =: make_bsf  <Barotropic Stream Function> [Sv]
 
@@ -165,12 +200,23 @@
  somltsad = somltsax + somltsay + somltsaz  <S Total Advection> [PSU/s]
 
-; ECMWF
- soheflec = ecmwf_146 + ecmwf_147 + ecmwf_176 + ecmwf_177 <Net Downward Heat Flux> [Wm-2]
- soshflec = ecmwf_176 <Solar Heat Flux> [Wm-2]
- sonsflec = ecmwf_146 + ecmwf_147 + ecmwf_177 <Non Solar Heat Flux> [Wm-2]
- sowaflec = ecmwf_182 + ecmwf_142 + ecmwf_143 <E-P> [mmj-1]
-
-; LMDZ
- uwf = evap - rain <E-P> [mm/day]
- latent = bils - sens <Latent Heat Flux Atm> [Wm-2]
-
+; HADAM
+ totprep =  lsrain + lssnow + cvrain + cvsnow   <E-P>    [kg m-2 s-1]
+ -e-mp =  evap - lsrain - lssnow - cvrain - cvsnow   <E-P>    [kg m-2 s-1]
+ nrads = solar + longwave - sh - 2.501e6 * evap <Net surface heat flux> [W m-2]
+ toabud =  field200 - field201 - olr <Net Radiation at TOA> [W m-2]
+ totcld = field31 + field32 + field33 <Total Could Amount> [ ]
+
+; ECHAM4
+ -e-mp =  - evap - tprep		<E-P>         [m/s]
+ e-mp =  - qevap - aprl - aprc - aprs		<E-P>         [m/s]
+ emp =  - evap - tprc		<E-P>         [m/s]
+ -n-rads = ahfs + ahfl + srads + trads <Net surface heat flux> [W/m**2]
+ curltau =: make_curltau <Wind Stress Curl> [N/m]
+
+; NCEP
+ nshfs = - nlwrs - lhtfl - shtfl <Non Solar Heat Flux at Surf>  [W/m^2]
+ ntrs =  - nswrs - nlwrs - lhtfl - shtfl  <Net Downward Heat Flux at Surf>  [W/m^2]
+
+; Other obs
+ oarnet = oaLWsfc + SWsfc <Net SFC radiative flux> [W/m^2] 
+ 
Index: /trunk/config/fld_zoo_iso.def
===================================================================
--- /trunk/config/fld_zoo_iso.def	(revision 95)
+++ /trunk/config/fld_zoo_iso.def	(revision 96)
@@ -5,24 +5,17 @@
 # field  | dintx dinty isocnz isolnz isospz isocpz isolpz   
 # 20 0. C
- ratiotaux    @sosstsst
- ratiotauy    @ratiotaux
- ratiosflx    @ratiotaux
- rationsflx   @ratiotaux
- sst          @sosstsst
- sosstsst     2     2    .2     1      0     .5     1
- tos          @sosstsst
- sosstgrady   2     2    .2     1      0     .5     1   1.e5   0.  deg/100km
- sosstgradx   2     2    .2     1      0     .5     1   1.e6   0.  deg/1000km
+ sosstsst     2     2    .2       1      0     .5     1 
+ tos @sosstsst
+ sst @sosstsst
+ ztx @sozotaux
  sosaline     2     2    .4     .4     35.2      .2     .4
  soicecov     2     2      .2     .2     0.5     .1     .2
- soicecov_f  @soicecov
  sozocrtx     2     2      .2     .2     0     .2     .2
  somecrty     2     2      .1     .2     0     .1     .2
  sosstobe     2     2     1       2      20     1     2
  sosstcol     2     2     1       2      20     1     2
- sohefldo     2     2    5      20      0    10    20 
+ sohefldo     2     2    5      20      0    10    20
  sohefldp     2     2    40      80      0    40    80   -0.025 0. C
  soshfldo     2     2    10      20      240    10    20
- sonsfldo     2     2    5      20      0    10    20
  sohefldo_f @sohefldo
  soshfldo_f @soshfldo
@@ -37,6 +30,4 @@
  shfs       @soshfldo
  sonshldo     2     2    40      80      0    40    80
- sens    2     2    10      20      240    10    20
- flat    2     2    10      20      240    10    20
  sobarstf     2     2    2      20      0    10    20    1.e-6  0. Sv 
  sossheig     2     2     .1    .1     0    .1    .1
@@ -46,11 +37,5 @@
  sosafldp     2     2     20     2     0     2     2 86400. 0. mm/day
  sosalflx     2     2     50        100   0     50    100 86400. 0. mm/day
- sozotaux     2     2    .02     .04      0     .02     .04
-###Pb avec NCEP pour les signes des vents
- uflx         2     2    .02     .04      0     .02     .04    -1.0   0.   N/m2      
- tauxgradx    2     2    .02     .04      0     .02     .04   1.e6   0.  Pa/1000km
- tauxxgrady   @tauxgradx
- taux_oce     @sozotaux
- tauy_oce     @sometauy
+ sozotaux     2     2    .02     .04      0     .02     .04 
  sometauy     2     2    .02     .02      0     .01     .02
  sowinmod     2     2    .005     .04      0     .02     .04
@@ -75,37 +60,10 @@
  sowaterf     2     2     1     2     0     1     2 
  sorottau     2     2     .05     .1     0.     .05     .1 
- # 
- # stats 1
- #
- sosstdev     2     2    .1     .1   .5   .1  .1
- sstdev       @sosstdev
- tosdev        @sosstdev
- tasdev        @sosstdev
- tsoldev      @sosstdev
- airdev       @sosstdev
+
  sotoxdev     2     2    .005  .05   .05  .05 .05
- toxdev       @sotoxdev
- sotoydev     @sotoxdev
- toydev       @sotoxdev
- uflxdev      @sotoxdev
- vflxdev      @sotoxdev
  tauudev      @sotoxdev
- tauvdev      @sotoxdev
- precipdev    2     2    .1     .1   .5   .1  .1  86400. 0. mm/day
- #opldev      2     2    .1     .1   .5   .1  .1
- # 
- # stats 2
- #
- sosstskew     1       1      0.1        1      0        0.1       1
- sosstkurt     @sosstskew
- tsskew        @sosstskew
- tasskew       @sosstskew
- tauuskew      @sosstskew
- tauvskew      @sosstskew
- tauxskew      @sosstskew
- tauyskew      @sosstskew
-
-# sozonfht     2     2     1     .5     0     0.25     .5  1.e-15 0. PW 
- sozonfht     2     2     1     .5     0     0.25    0.5  1.0  0.0  PW
+ toxdev      @sotoxdev
+
+ sozonfht     2     2     1     .5     0     0.25     .5  1.e-15 0. PW 
  sozonfha     @sozonfht
  sozonfhd     @sozonfht
@@ -155,7 +113,8 @@
  somodtau     2     2     .02     .04     .1     .02     .04 
  #	 
+ thetao       1    10     1      2       20      1       2  1. -273.15 C
  votemper     2     2    1       0.5      0     0.5     0.5 
  vosaline     2     2    .2      .1     0      .1     .1
- vodenpot     2     2    .2      .1        0      .1     .1
+ vodenpot     2     2    .2      .1        0      .1     .1 1. -1000. sigma
  vozocrtx     2     2    .05       .02     0      .02     .02
  vomecrty     1    10     0.005    0.05    0     0.01    0.05
@@ -174,4 +133,12 @@
  vosigthi     0       500       0         500          0    500 5
  vosigvol     0       500       0         500          0    500 5
+ so @vosaline
+ uo @vozocrtx
+ vo @vomecrty
+ wo @vovecrtz
+  #
+ voenergy @vodenpot 
+  sstdev @sosstdev
+
  zotempeg @votemper
  zotempea @votemper
@@ -288,22 +255,12 @@
  emp       3     3     4     2     0     2     2  86400. 0. mm/day
  precip       3     3     1     2     0     2     2  86400. 0. mm/day
- pcp          3     3     1     2     0     2     2
- #vap         3     3     4     2     5     2     2  86400. 0. mm/day
- evap         3     3     1     2     0     2     2  86400. 0. mm/da
+ evap   3     3     4     2     5     2     2  86400. 0. mm/day
  taux @sozotaux
  tauy @sometauy
- ztauxx_SCi @sozotaux
- ztauxx_SCa @sozotaux
- ztauxx_SCb @sozotaux
- ztauyy_SCi @sozotaux
- ztauyy_SCa @sozotaux
- ztauyy_SCb @sozotaux
- zero1 @sozotaux
- zero2 @sozotaux
- tauxSCi @sozotaux
  olr  3     3    10      20      0    10    20
  rlut @topl
  rlutcs @topl
  
+ topl @sulcyftp 
  toabud @suradtop
  field200  2     2     10    20     0    10    20
@@ -311,13 +268,32 @@
  mslp         3     3     2     4    1016     2     4 
  u10m         3     3     2     4     0     2     4
- v10m   @u10m
+ v10m         3     3     2     4     0     2     4
+ q2m         3     3     .5     1     8     1     1  1000. 0.  g/kg
+ oaq2m       3     3     .5     1     8     1     1
+ q2mdev      @q2m
+ oaq2mdev       @oaq2m
+ oaLWsfc @str
+ srnet       @sohefldo
+
+ crflw @sucrfolw
+ crfsw @sucrfosw 
+ crftot @sucrforc 
+
+# NCEP
+
+ nswrs        2     2     40     40     240     20     40  -1.0 0.0 W/m2
+ nshfs      @sonshldo  
+ ntrs       @sohefldo
 
 # Echam
  pr 3     3     4     2     0     2     2  86400. 0. mm/day
+ msl @slp
 
  geosp 
  aps       3     3     5     5    1016     2     4 0.01 0. hPa
- ts        2     2     1     1      26     1      1
- tas @sosstsst
+ ts        2     2     1     1      26     1      1  
+#1. -273.15 C
+ 
+ tas @ts
  ws    
  aprl  
@@ -328,7 +304,7 @@
  ahfl   2     2     50     50     0     50     50
  slp         3     3     1     4    1016     2     4
- runoff      3     3     1     2     0     2     2
+ runoff
  aclcov    3     3    5    20    60    10    20 100. 0. %
- u10   
+ u10  @u10m    
  v10   
  dew2  
@@ -387,11 +363,20 @@
 
  tsol   @ts
- tsolgrady @sosstgrady
- tsolgradx @sosstgradx
- 
- 
  psol @slp
  rain  3     3     2     2     5     2     2  86400. 0. mm/day
  temp 3     3     1     5     0     5     5 
+ SWsfc @soshfldo
+ LWsfc @str
+ ssr @soshfldo
+ str  2     2     50     50     0     50     50
+ slhf @sulathsu
+ cldt  @aclcov  
+ lat_oce @sulathsu
+ LWdnSFC @str
+ bils @sohefldo
+ taux_oce @sozotaux
+ tauy_oce @sometauy
+ w500   2     2     10   10  0 10 10  864 0. hPa/day
+ omeg500   2     2     10   10  0 10 10  864 0. hPa/day
 
 # PCMDI
@@ -402,8 +387,8 @@
 # NCEP
 
- t2m @sosstsst
+ T2m @ts
  air @sosstsst
- uflx     2     2     .02     .04      0     .02     .04  -1. 0 N/m2
- vflx     2     2     .02     .02      0     .01     .02  -1. 0 N/m2
+ uflx 2     2     .02     .04      0     .02     .04  -1. 0 N/m2
+ vflx @sometauy
 
 # Xie Arkin   .5 0 2*mm/day
@@ -461,5 +446,5 @@
  sulcyftp     3     3    10      20      0    10    20
  sutolpsu     3     3     1       2      6     1     2
- sutospsu     3     3   0  2     2     5    20     -260    10    20   1       2      6     1     2
+ sutospsu     3     3     1       2      6     1     2
  sudirssu     3     3    20      40      0    20    40
  sudodssu     3     3    20      40      0    20    40
@@ -487,7 +472,4 @@
  sometauy_mean @sometauy
  sometauy_std  2    2   .01 .01 0 .01 .01
- #opl          2    2   5    20    0   10   20  -1.  0. W/m2  
- topl          2    2   5    20    0   10   20 
- topl0 @topl
  trad0_mean @trad0
  trad0_std  2    2   20 20 0 20 20
@@ -521,7 +503,19 @@
  trad0pro @sosstpro
 
+ alpha 1 1 2 2 0 2 2
+ swalph @alpha
+ lwalph @alpha
+ lhalph @alpha
+
 # Correl
 
  correlation  1     1    .1     1      0     .1     1
+
+ pcorrsst     @correlation
+ lhcorrsst @correlation
+ swcorrsst @correlation
+ lwcorrsst @correlation
+ hfcorrsst @correlation
+
  sosstsst_sst_nino_3_cor @correlation
  uflx_sst_nino_3_cor @correlation
@@ -530,6 +524,11 @@
  sometauy_sst_nino_3_cor @correlation
  precip_sst_nino_3_cor @correlation
- pcp_sst_nino_3_cor @correlation 
+ pcp_sst_nino_3_cor @correlation
  topl_sst_nino_3_cor @correlation
+
+ bilsn3corr @correlation 
+ tauxn3corr @correlation 
+ txn3corr @correlation 
+ ufxn3corr @correlation 
 
  proba  2     2    .2     1      0     .5     1
@@ -542,3 +541,2 @@
  pcp_sst_nino_3_prob @proba
  topl_sst_nino_3_prob @proba
-
Index: /trunk/config/grid_config.def
===================================================================
--- /trunk/config/grid_config.def	(revision 95)
+++ /trunk/config/grid_config.def	(revision 96)
@@ -4,5 +4,5 @@
    V	          oce   1     grid_V       V       -       80
    W	          oce   1     grid_W       W      -       80
-   T05	     oce   1     grid_T       T       -       80
+   T05          oce   1     grid_T       T       -       80
    U05          oce   1     grid_U       U       -       80
    V05          oce   1     grid_V       V       -       80
@@ -76,4 +76,6 @@
    ifmt30        atm    1    ifmt30     T       -
    hadcm3      oce   1     hadcm3        T        -
+   oareg1        atm    1   oareg1      T       -
+   reg1srb        atm    1  reg1srb      T       -
 ############################################################################
 #
